Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/folders/delete

Delete a folder

This API deletes a specified folder from the account. This action is irreversible.

Behavior:

  • Any locations within the folder will be unassigned but not archived.
  • Once deleted, the folder cannot be restored.
Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
inputobjectrequired
input.namestringrequiredThe name of the folder to delete

Request

Request
curl -X POST 'https://api.synup.com/api/v4/folders/delete' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "name": "Acme New"
  }
}'

Responses

StatusDescription
200Folder successfully deleted
400Bad request - folder name is invalid or missing
403Unauthorized - insufficient permissions to delete folder
404Folder not found
Example response
{
  "data": {
    "deleteFolder": {
      "errors": null,
      "success": true
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.deleteFolderobjectoptional
data.deleteFolder.errorsobjectoptionalArray of errors if any occurred during deletion
data.deleteFolder.successbooleanoptionalIndicates if the deletion was successful